Skip to content
Ask AI

User-Bind-Netconf

YANG Pathget/get-configedit-configrpc
/user-bindYmerge, replace, create, delete—
/user-bind/alarms/{if-name}Ymerge, replace, create, delete—
/user-bind/user-bind-entries/{vlan-name}/{mac-address}/{ip-address}/{if-name}Yreplace, create, delete—

This chapter provides examples on how to use Netconf to manage User-Bind configurations on AsterNOS devices.

Request example to get all User-Bind configurations via get-config with subtree filter.

<filter type="subtree">
<top>
<user-bind/>
</top>
</filter>

Response example

<data xmlns="urn:ietf:params:xml:ns:netconf:base:1.0">
<top>
<user-bind xmlns="http://asterfusion.com/ns/yang/asternos-user-bind">
<user-bind-entries>
<user-bind-entry>
<vlan-name>Vlan100</vlan-name>
<mac-address>00:01:11:12:13:14</mac-address>
<ip-address>10.1.1.1</ip-address>
<if-name>Ethernet1</if-name>
</user-bind-entry>
<user-bind-entry>
<vlan-name>Vlan100</vlan-name>
<mac-address>00:01:21:22:23:24</mac-address>
<ip-address>10.1.1.2</ip-address>
<if-name>Ethernet1</if-name>
</user-bind-entry>
</user-bind-entries>
<alarms>
<alarm>
<if-name>Ethernet1</if-name>
<enable>true</enable>
<threshold>100</threshold>
</alarm>
<alarm>
<if-name>Vlan100</if-name>
<enable>true</enable>
<threshold>200</threshold>
</alarm>
</alarms>
</user-bind>
</top>
</data>

Request example to set User-Bind entry via edit-config.

<config>
<top>
<user-bind>
<user-bind-entries>
<user-bind-entry>
<vlan-name>Vlan100</vlan-name>
<mac-address>00:01:11:12:13:14</mac-address>
<ip-address>10.1.1.1</ip-address>
<if-name>Ethernet1</if-name>
</user-bind-entry>
<user-bind-entry>
<vlan-name>Vlan100</vlan-name>
<mac-address>00:01:21:22:23:24</mac-address>
<ip-address>10.1.1.2</ip-address>
<if-name>Ethernet1</if-name>
</user-bind-entry>
</user-bind-entries>
</user-bind>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:a0d4d344-be40-42e7-bc2f-4de7cd4558b6">
<ok/>
</rpc-reply>

Request example to set User-Bind alarms via edit-config.

<config>
<top>
<user-bind>
<alarms>
<alarm>
<if-name>Ethernet1</if-name>
<enable>true</enable>
<threshold>100</threshold>
</alarm>
<alarm>
<if-name>Vlan100</if-name>
<enable>true</enable>
<threshold>200</threshold>
</alarm>
</alarms>
</user-bind>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:e4718dbd-1557-4971-a7c8-51bc0a70e926">
<ok/>
</rpc-reply>

Request example to delete User-Bind entry via edit-config.

<config>
<top>
<user-bind>
<user-bind-entries>
<user-bind-entry operation="delete">
<vlan-name>Vlan100</vlan-name>
<mac-address>00:01:11:12:13:14</mac-address>
<ip-address>10.1.1.1</ip-address>
<if-name>Ethernet1</if-name>
</user-bind-entry>
</user-bind-entries>
</user-bind>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:509b1938-af5d-47f3-b5e3-b2dc63dfabd4">
<ok/>
</rpc-reply>

Request example to delete User-Bind alarms via edit-config.

<config>
<top>
<user-bind>
<alarms>
<alarm operation="delete">
<if-name>Ethernet1</if-name>
<enable>true</enable>
<threshold>10000</threshold>
</alarm>
</alarms>
</user-bind>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:7f636610-dbcc-4450-8d74-d38caee90da3">
<ok/>
</rpc-reply>

RPC example to show counters of interface for user-bind via rpc show-user-bind-counter.

<show-user-bind-counter/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:c7e0ae8e-5e7e-4ff0-88af-790094fc1473">
<data xmlns="http://asterfusion.com/ns/yang/asternos-user-bind">
<counter>
<if-name>Vlan100</if-name>
<packets>156</packets>
</counter>
<counter>
<if-name>Vlan200</if-name>
<packets>0</packets>
</counter>
</data>
</rpc-reply>

RPC example to clear counters of interface for user-bind via rpc clear-user-bind-counter.

<clear-user-bind-counter/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:8d934bf5-6adf-47b7-8772-dfcd29ca4287">
<data xmlns="http://asterfusion.com/ns/yang/asternos-user-bind"></data>
</rpc-reply>

Tree Diagram

module: asternos-user-bind
+--rw user-bind
+--rw user-bind-entries
| +--rw user-bind-entry* [ip-address mac-address if-name vlan-name]
| +--rw vlan-name cmn:vlan-name
| +--rw mac-address yang:mac-address
| +--rw ip-address inet:ip-address-no-zone
| +--rw if-name cmn:ethernet-port-name
+--rw alarms
+--rw alarm* [if-name]
+--rw if-name union
+--rw enable? boolean
+--rw threshold? uint32

Table of Properties

NameRequiredType/RangeDescription
user-bindMPath-only node, has no configurable value.
Container for user-bind configurations.
user-bind-entriesMPath-only node, has no configurable value.
Container for static user binding entries.
user-bind-entryMPath-only node, has no configurable value.
vlan-nameOcmn:vlan-nameVLAN name associated with the static user binding.
mac-addressOyang:mac-addressMAC address of the static user binding.
ip-addressOinet:ip-address-no-zoneIP address of the static user binding.
if-nameOcmn:ethernet-port-nameInterface name associated with the static user binding.
alarmsMPath-only node, has no configurable value.
Container for security-related alarms.
alarmMPath-only node, has no configurable value.
if-nameOEthernet nameInterface, sub-ethernet interface or VLAN name associated with the alarm.
enableO”true"
"false”
Enable or disable the alarm.
thresholdO10..65536Threshold value for the alarm. Alarms will be triggered when this value is exceeded.

Tree Diagram

module: asternos-user-bind
+--rw user-bind
+--rw alarms
+--rw alarm* [if-name]
+--rw if-name union
+--rw enable? boolean
+--rw threshold? uint32

Table of Properties

NameRequiredType/RangeDescription
alarmsMPath-only node, has no configurable value.
Container for security-related alarms.
alarmMPath-only node, has no configurable value.
if-nameOEthernet nameInterface, sub-ethernet interface or VLAN name associated with the alarm.
enableO”true"
"false”
Enable or disable the alarm.
thresholdO10..65536Threshold value for the alarm. Alarms will be triggered when this value is exceeded.

Tree Diagram

module: asternos-user-bind
+--rw user-bind
+--rw user-bind-entries
+--rw user-bind-entry* [ip-address mac-address if-name vlan-name]
+--rw vlan-name cmn:vlan-name
+--rw mac-address yang:mac-address
+--rw ip-address inet:ip-address-no-zone
+--rw if-name cmn:ethernet-port-name

Table of Properties

NameRequiredType/RangeDescription
user-bind-entriesMPath-only node, has no configurable value.
Container for static user binding entries.
user-bind-entryMPath-only node, has no configurable value.
vlan-nameOcmn:vlan-nameVLAN name associated with the static user binding.
mac-addressOyang:mac-addressMAC address of the static user binding.
ip-addressOinet:ip-address-no-zoneIP address of the static user binding.
if-nameOcmn:ethernet-port-nameInterface name associated with the static user binding.